ife-utils
========

ifrontend utils JavaScript 武器库

# Installation

To install the package to your project, run:

```sh
$ npm install -S ife-utils
```

# Usage

## `arrayEqual`

判断两个数组是否相等

```js
// commonjs
const { arrayEqual } = require('ife-utils');
// es6 module
import { arrayEqual } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.arrayEqual();
```


## `hasClass`

判断元素是否有某个class

```js
// commonjs
const { hasClass } = require('ife-utils');
// es6 module
import { hasClass } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.hasClass();
```


## `addClass`

为元素添加class

```js
// commonjs
const { addClass } = require('ife-utils');
// es6 module
import { addClass } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.addClass();
```


## `hasClass`

为元素移除class

```js
// commonjs
const { arrayEqual } = require('ife-utils');
// es6 module
import { arrayEqual } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.arrayEqual();
```


## `removeClass`

判断元素是否有某个class

```js
// commonjs
const { removeClass } = require('ife-utils');
// es6 module
import { removeClass } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.removeClass();
```


## `getCookie`

根据name读取cookie

```js
// commonjs
const { getCookie } = require('ife-utils');
// es6 module
import { getCookie } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.getCookie();
```


## `removeCookie`

根据name删除cookie

```js
// commonjs
const { removeCookie } = require('ife-utils');
// es6 module
import { removeCookie } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.removeCookie();
```


## `setCookie`

设置Cookie

```js
// commonjs
const { setCookie } = require('ife-utils');
// es6 module
import { setCookie } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.setCookie();
```


## `getExplore`

获取浏览器类型和版本

```js
// commonjs
const { getExplore } = require('ife-utils');
// es6 module
import { getExplore } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.getExplore();
```


## `getOS`

获取操作系统类型

```js
// commonjs
const { getOS } = require('ife-utils');
// es6 module
import { getOS } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.getOS();
```


## `getScrollTop`

获取滚动条距顶部的距离

```js
// commonjs
const { getScrollTop } = require('ife-utils');
// es6 module
import { getScrollTop } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.getScrollTop();
```


## `offset`

获取一个元素的距离文档(document)的位置，类似jQ中的offset()

```js
// commonjs
const { offset } = require('ife-utils');
// es6 module
import { offset } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.offset();
```


## `scrollTo`

在${duration}时间内，滚动条平滑滚动到${to}指定位置

```js
// commonjs
const { scrollTo } = require('ife-utils');
// es6 module
import { scrollTo } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.scrollTo();
```


## `setScrollTop`

设置滚动条距顶部的距离

```js
// commonjs
const { setScrollTop } = require('ife-utils');
// es6 module
import { setScrollTop } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.setScrollTop();
```


## `deepClone`

深拷贝，支持常见类型

```js
// commonjs
const { deepClone } = require('ife-utils');
// es6 module
import { deepClone } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.deepClone();
```


## `isEmptyObject`

判断`obj`是否为空

```js
// commonjs
const { isEmptyObject } = require('ife-utils');
// es6 module
import { isEmptyObject } from 'ife-utils';
// umd browser
<script src="dist/ife-utils.umd.js">
ifeUtils.isEmptyObject();
```
